Skip to main content

Atrium API

Update Member

Use this endpoint to update a member's attributes. Only the credentials, identifier, and metadata parameters can be updated. To get a list of the required credentials for the member, use the list member credentials endpoint.

MFA challenges should be updated via the resume aggregation endpoint and not by updating a member.

PUT
/users/{user_guid}/members/{member_guid}

Request Body

FieldRequiredType

background_aggregation_is_disabled

Optional
Boolean

credentials

Optional
String

identifier

Optional
String

metadata

Optional
String

Request sample

Language:sh

_20
curl -i -X PUT 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}' \
_20
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_20
-H 'Content-Type: application/json' \
_20
-H 'MX-API-Key: {mx_api_key}' \
_20
-H 'MX-Client-ID: {mx_client_id}' \
_20
-d '{
_20
"member":{
_20
"credentials":[
_20
{
_20
"guid": "CRD-598ec8d4-6200-8cda-345d-3dbb5fc17716",
_20
"value": "updated-username"
_20
},
_20
{
_20
"guid": "CRD-27d0edb8-1d50-5b90-bcbc-be270ca42b9f",
_20
"value": "updated-password"
_20
}
_20
],
_20
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-16\"}"
_20
}
_20
}'

Response sample

200
Language:json

_15
{
_15
"member": {
_15
"aggregated_at": "2016-09-30T14:43:44-06:00",
_15
"connection_status": "CONNECTED",
_15
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_15
"identifier": "unique_id",
_15
"institution_code": "mxbank",
_15
"is_being_aggregated": false,
_15
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-16\"}",
_15
"name": "MX Bank",
_15
"status": "INITIATED",
_15
"successfully_aggregated_at": "2016-09-30T14:38:59-06:00",
_15
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_15
}
_15
}